<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8">
    <title>Suma Básica</title>
  </head>

  <body>
    <form>
      <input id="n1" type="text" />
      <input id="n2" type="text" />
      <input type="button" value="sumar" onclick="sumar()" />
    </form>
  </body>
  <script>
    function sumar() {
      let a, b, c;

      a = document.getElementById("n1").value;
      b = document.getElementById("n2").value;
      c = parseFloat(a) + parseFloat(b);
      alert("El resultado de la suma es: " + c);
    }
  </script>
</html>